Listar executors por provider
curl --request GET \
--url https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors \
--header 'Authorization: Bearer <token>'import requests
url = "https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flowker.sandbox.lerian.net/v1/catalog/providers/{id}/executors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"category": "HTTP",
"id": "http",
"name": "HTTP Request",
"providerId": "",
"version": "v1"
}
]{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}Listar executors por provider
Utiliza este endpoint para recuperar todos los executors que pertenecen a un provider específico.
GET
/
v1
/
catalog
/
providers
/
{id}
/
executors
Listar executors por provider
Autorizaciones
Token bearer JWT emitido por el provider de identidad. Envíalo en la cabecera Authorization como Bearer <token>.
Parámetros de ruta
Identificador único del provider del catálogo.
Respuesta
Indica que la solicitud fue exitosa y la respuesta contiene los datos solicitados.
Categoría funcional del executor.
Ejemplo:
"HTTP"
Identificador único del executor.
Ejemplo:
"http"
Nombre para mostrar del executor.
Ejemplo:
"HTTP Request"
ID del provider al que pertenece este executor.
Ejemplo:
""
Versión del executor.
Ejemplo:
"v1"
¿Esta página le ayudó?
⌘I

